Page MenuHomePhabricator

Two blog posts about Technical Collaboration's annual plan programs
Closed, ResolvedPublic

Description

Let's communicate Technical Collaboration's annual plan programs.

Old description

(This description needs update to cover Technical Collaboration. Also what about a blog post + email to chapters and others).

Would like to send an email to chapters@wikimedia.ch in order to update people from different chapters what new documentation has been created and what support ECT (and other parts of WMF engineering) have to offer.

Once I start a draft I will link it here for feedback. In the meantime it would be great to hear some ideas (beyond what I already have) about what should be included in that email.

I plan to include:

  • New recent event documentation
  • An offer to organize and hold Tech Talks from anyone who wants to give one
  • Phabricator help (does any chapter want help getting started or getting their volunteers started with Phab?)

I guess @Spage probably has some documentation to add?
Maybe @NiharikaKohli wants to include some information about how chapters can benefit from GSoC or Outreachy?

Anyone else have ideas for services that they or their teams (or teams that they know of) offer but that might not be widely known?

Related Objects

Event Timeline

There are a very large number of changes, so older changes are hidden. Show Older Changes
Qgil closed subtask Unknown Object (Task) as Resolved.Feb 12 2016, 10:29 AM
Qgil renamed this task from Email to Chapters List: ECT documentation, support and available resources to Email to Chapters List: Technical Collaboration documentation, support and available resources .Apr 25 2016, 9:28 AM
Qgil updated the task description. (Show Details)
Qgil raised the priority of this task from Low to Medium.Apr 29 2016, 12:24 PM
Elitre added a subscriber: Elitre.May 10 2016, 11:44 AM
Qgil raised the priority of this task from Medium to High.Jun 1 2016, 2:24 PM
Qgil moved this task from Ready to Go to June on the Developer-Advocacy (Apr-Jun-2016) board.
Qgil moved this task from Ready to Go to June on the Community-Relations-Support (Apr-Jun-2016) board.
Qgil added a comment.Jun 30 2016, 12:43 PM

I thought that it takes almost the same effort to write an email to the chapters list than to draft a blog post and send the text to the chapters list. :)

I am writing the text at
https://meta.wikimedia.org/wiki/Wikimedia_Blog/Drafts/A_refreshed_technical_collaboration_strategy_for_Wikimedia

I had some hopes of completing this task before my vacation but it is not going to happen... Still, there is no way back. :)

FWIW I was looking on Commons for pics from Esino, possibly from the hackathon and feat. at least of us, but haven't seen anything inspiring yet. Maybe when you come pic people will have uploaded more stuff. Like, I totally have a group selfie to post...

Qgil lowered the priority of this task from High to Medium.Aug 30 2016, 6:07 AM

I found another "excuse" :( to postpone this. We are close to hire our developer advocate, and with that our team will be complete as we imagine it.

Meanwhile, I have other tasks that really cannot wait. I am de-prioritizing this one and marking it as blocked by T137801: Hire a Developer Advocate for the Technical Collaboration team.

Elitre added a subscriber: Jseddon.Sep 8 2016, 7:22 PM

@Jseddon , just FYI that Technical Collaboration is totally interested into working more closely with affiliates. See also related tasks :)

Qgil raised the priority of this task from Medium to High.Mar 7 2017, 12:26 PM
Qgil moved this task from Ready to Go to March on the Developer-Advocacy (Jan-Mar-2017) board.

Do you plan to send an email to LTK we're going to Berlin, perhaps? It may be good to signal general availability.

Hi all, I'm combing through the blog-content backlog and see that this thread was tagged. Is this something that you still plane to write about? Let me know! We're trying to groom our backlog a bit, and want to know if this is coming down the pipeline.

Qgil added a comment.Jun 16 2017, 6:32 PM

It's coming, but I'll let you know when it's ready for your review. Thank you!

MelodyKramer moved this task from Idea to Idea on the Wikimedia-Blog-Content board.
Qgil added a comment.Sep 12 2017, 12:33 PM

OK, I have started one blog post focusing on Onboarding New Developers: https://meta.wikimedia.org/wiki/Wikimedia_Blog/Drafts/A_refreshed_technical_collaboration_strategy_for_Wikimedia

@MelodyKramer This is now my top priority, and I hope to finish the draft this week.

Qgil renamed this task from Email to Chapters List: Technical Collaboration documentation, support and available resources to Two blog posts about Technical Collaboration's annual plan programs.Sep 12 2017, 12:37 PM
Qgil updated the task description. (Show Details)

Fantastic - please ping when it's ready for an edit/look!

Mel

@MelodyKramer I just finished a first version: https://meta.wikimedia.org/wiki/Wikimedia_Blog/Drafts/A_refreshed_technical_collaboration_strategy_for_Wikimedia

I wonder whether it is too long, whether it could be cut or whether I have missed something important (the usual doubts). :) Your opinion and edits are welcome.

Meanwhile, I might do cosmetic edits after a night sleep. I will provide more links and perhaps some numbers (@Aklapper your input here is welcome). I will also find some pictures (@CKoerner_WMF might have some ideas after the two last hackathons).

Would you like me to wait until the cosmetic edits are in? That might save some time on our end. Let me know!

Mel

Qgil added a comment.Sep 18 2017, 9:12 AM

@MelodyKramer go for it! The only edits I expect at this point are the fix to one FIXME, a couple of new links (not changing the text), and 1-2 new images with their captions.

@Qgil @MelodyKramer: I hope you don't mind, I saw this in my inbox, and took a stab at re-arranging the opening.

Hi all,

I'm starting edits on this, and will be working here: https://docs.google.com/a/wikimedia.org/document/d/1zsFvyzfeLlVGkUa_DpTnsUEAeenJg6mjLnclyvqPnHw/edit?usp=sharing

Will ping when they're complete.

Hello @Qgil you can find my edits in the document above. I trimmed down the piece considerably, and tried to ensure that the subsections were focused on what you're doing, how you're doing it, and what your next steps are.

I haven't edited the section yet on the activities from your annual plan because I wasn't sure if those came directly from existing documentation. However, I'd be happy to make them tighter as well! Let me know what you think.

You'll need T167805 done before writing the CL one I guess...

Qgil added a project: Goal.Oct 4 2017, 7:46 AM
Qgil moved this task from Backlog to October on the Developer-Advocacy (Oct-Dec 2017) board.
Qgil lowered the priority of this task from High to Low.Oct 6 2017, 7:46 AM
Qgil updated the task description. (Show Details)

OK, the first blog post is out. Thank you @MelodyKramer, @EdErhart-WMF and other reviewers!

I'd say, maybe split. so you can close this one and plan the other for next quarter.

Qgil closed this task as Resolved.Dec 7 2017, 11:58 AM

You are right. I will close this task (finally!) and I will discuss with the CLs about the other blog post.